Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.python
Class PythonController

    java.lang.Object
      madkit.utils.agents.LanguageController
          madkit.python.PythonController

All Implemented Interfaces:
  Controller

    public class PythonController

extends LanguageController

Field Summary
`static java.lang.String` | `DATE`
`static java.lang.String` | `VERSION`

Fields inherited from class madkit.utils.agents.LanguageController
`thisAgent`

Constructor Summary
`PythonController(AbstractAgent _ag)`
`PythonController(AbstractAgent _ag, java.lang.String f)`

Method Summary
`void` | `activate()` The activate method which takes precedence over the activate method defined in the agent.
`void` | `doIt()` The doIt() activation method for synchronous agents.
`void` | `end()` The end method which takes precedence over the end method defined in the agent.
`PythonInterpreter` | `getInterpret()`
`boolean` | `getOkForDoIt()`
`boolean` | `getOkForLive()`
`protected void` | `handleControlMessage(ControlMessage m)`
`protected void` | `handleMessage(Message m)`
`void` | `live()` The live method which describes the overall behavior of a ("asynchronous") agent.
`void` | `loadFile(java.lang.String f)`
`void` | `setOkForDoIt(boolean b)`
`void` | `setOkForLive(boolean b)`

Methods inherited from class madkit.utils.agents.LanguageController
`doBroadcastMessage, doBroadcastMessage, doLaunchAgent, doPause, doSendControlMessage, doSendControlMessage, doSendMessage, doSendMessage, doSendStringMessage, exitImmediatlyOnKill, getBehaviorFile, getLibFile, getWatchControlMessages, getWatchInMessages, getWatchOutMessages, getWatchRestartEngine, println, readMessages, setBehaviorFile, setLibFile, setWatchControlMessages, setWatchInMessages, setWatchOutMessages, setWatchRestartEngine, thisAgent, toggleWatchControlMessages, toggleWatchInMessages, toggleWatchOutMessages, toggleWatchRestartEngine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE

    public static final java.lang.String DATE

See Also:
  Constant Field Values

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

Constructor Detail

### PythonController

    public PythonController(AbstractAgent _ag)

### PythonController

    public PythonController(AbstractAgent _ag,
                            java.lang.String f)

Method Detail

### setOkForLive

    public void setOkForLive(boolean b)

### getOkForLive

    public boolean getOkForLive()

### setOkForDoIt

    public void setOkForDoIt(boolean b)

### getOkForDoIt

    public boolean getOkForDoIt()

### getInterpret

    public PythonInterpreter getInterpret()

### activate

    public void activate()

  Description copied from interface: `Controller`
  The activate method which takes precedence over the activate method defined in the agent. You may call the latter by invoking it directly from this method.

  Specified by:
    `activate` in interface `Controller`
  Overrides:
    `activate` in class `LanguageController`

### handleControlMessage

    protected void handleControlMessage(ControlMessage m)

  Overrides:
    `handleControlMessage` in class `LanguageController`

### handleMessage

    protected void handleMessage(Message m)

  Overrides:
    `handleMessage` in class `LanguageController`

### live

    public void live()

  Description copied from interface: `Controller`
  The live method which describes the overall behavior of a ("asynchronous") agent.

  Warning: This method takes precedence over the agent's live method. The agent's live method does not work when a controller is "plugged" into an agent..

  Specified by:
    `live` in interface `Controller`
  Overrides:
    `live` in class `LanguageController`

### end

    public void end()

  Description copied from interface: `Controller`
  The end method which takes precedence over the end method defined in the agent. You may call the latter by invoking it directly from this method.

  Specified by:
    `end` in interface `Controller`
  Overrides:
    `end` in class `LanguageController`

### doIt

    public void doIt()

  Description copied from class: `LanguageController`
  The doIt() activation method for synchronous agents. To be defined

  Specified by:
    `doIt` in interface `Controller`
  Overrides:
    `doIt` in class `LanguageController`

### loadFile

    public void loadFile(java.lang.String f)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.